Test::Lintian::Prepare(3)

NAME
Test::Lintian::Prepare -- routines to prepare the work directories

SYNOPSIS
  use Test::Lintian::Prepare qw(prepare);

DESCRIPTION
The routines in this module prepare the work directories in which the tests are run. To do so, they use the specifications in the test set.

FUNCTIONS

prepare(SPEC_PATH, SOURCE_PATH, TEST_SET, REBUILD)
    Populates a work directory SOURCE_PATH with data from the test located in SPEC_PATH. The optional parameter REBUILD forces a rebuild if true.

filleval(SPEC_PATH, EVAL_PATH, TEST_SET, REBUILD)
    Populates a evaluation directory EVAL_PATH with data from the test located in SPEC_PATH. The optional parameter REBUILD forces a rebuild if true.

combine_fields
deb822_section_to_hash
write_hash_to_deb822_section
fill_hash_from_hash

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)